{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  environment.systemPackages = with pkgs; [
    (chromium.override { enableWideVine = true; })
  ];

  nixpkgs.config.allowUnfreePredicate =
    pkg:
    builtins.elem (lib.getName pkg) [
      "chromium"
      "chromium-unwrapped"
      "widevine-cdm"
    ];

  environment.persistence."/persist" = lib.mkIf (!config.me.buildingIso) {
    hideMounts = true;
    users.talexander = {
      directories = [
        {
          directory = ".config/chromium";
          user = "talexander";
          group = "talexander";
          mode = "0700";
        }
      ];
    };
  };
  environment.persistence."/state" = lib.mkIf (!config.me.buildingIso) {
    hideMounts = true;
    users.talexander = {
      directories = [
        {
          directory = ".cache/chromium";
          user = "talexander";
          group = "talexander";
          mode = "0700";
        }
      ];
    };
  };

  nixpkgs.config.chromium.commandLineArgs = "--enable-features=Vulkan";
}
